Bug 12843 - race starting winbindd against posixacl test
race starting winbindd against posixacl test
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: Test infrastructure
4.6.5
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-15 04:25 UTC by Andrew Bartlett
Modified: 2017-07-03 09:00 UTC (History)
2 users (show)

See Also:


Attachments
patch for master (2.17 KB, patch)
2017-06-15 04:27 UTC, Andrew Bartlett
no flags Details
patch for 4.6 cherry-picked from master (1.53 KB, patch)
2017-06-27 18:14 UTC, Andrew Bartlett
metze: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andrew Bartlett 2017-06-15 04:25:55 UTC
The posixacl test can race against the startup of winbindd and so flap.

This patch avoids the race by checking that winbindd is up with wbinfo -p first.
Comment 1 Andrew Bartlett 2017-06-15 04:27:13 UTC
Created attachment 13277 [details]
patch for master
Comment 2 Andrew Bartlett 2017-06-27 18:14:28 UTC
Created attachment 13315 [details]
patch for 4.6 cherry-picked from master

Fixed in master with 1b88c5d4c0e5da2e4092a06f6cd6bf3c8b767883
Comment 3 Andrew Bartlett 2017-06-27 18:14:58 UTC
Please apply to 4.6
Comment 4 Karolin Seeger 2017-06-30 08:49:58 UTC
(In reply to Andrew Bartlett from comment #3)
Pushed to autobuild-v4-6-test.
Comment 5 Karolin Seeger 2017-07-03 09:00:20 UTC
(In reply to Karolin Seeger from comment #4)
Pushed to v4-6-test.
Closing out bug report.

Thanks!